Subject: Re: bug#67463: 30.0.50; Eglot may manage js-json-mode buffers with wrong server

From: João Távora <[email-masked]>
Date: Mon, 8 Jan 2024 00:20:00 +0000

On Sun, Jan 7, 2024 at 5:20 AM Stefan Monnier <[email-masked]> wrote:
 effects.

> I suggest the patch below instead, which also "quick" but much less dirty.

I didn't see it, did you attach it?

> We'd first have to decide what is the behavior we want from it.
> Note that `derived-mode-add-parents` doesn't really "add"

I'd think for every "add" it should be reasonably easy to
envision a "remove", but that complicates things indeed.

> (i.e. overwrites) the list of extra-parents, so a corresponding behavior
> would be for `derived-mode-remove-parent` to set a new property
> `derived-mode-muted-parents`.

Extra parents, muted parents, siblings become parents,
definitely some good 90's sitcom material :-)

João